# Get Business Financial Health

Get Business Financial Health

Endpoint: GET /advanced-insights/v1/consents/{consentId}/business-financial-health
Version: all
Security: Bearer

## Path parameters:

  - `consentId` (string, required)
    The consent ID to fetch the Financial Health Results

## Response 200 fields (application/json):

  - `data` (array)
    Primary data of the response.

  - `data.accountId` (string)
    Unique identifier for the account at the institution

  - `data.providerName` (string)
    The name of the provider e.g., Lloyds.

  - `data.countryCode` (string)
    An ISO 3166-1 alpha-2 Country code for the account.

  - `data.currencyCode` (string)
    ISO4217 currency code for the account.

  - `data.accountHolderNames` (array)
    The AccountHolderNames is the name or names of the account owner(s) represented at an account level.

  - `data.identifiers` (object)

  - `data.identifiers.accountNumber` (string)
    The bank�s unique identifier for the account.

  - `data.identifiers.bankCode` (string)
    The national bank transit or transfer code used for identification of the bank assigned
by a central bank in a country, eg: A Routing number(US/CA) or Sort code(UK).

  - `data.identifiers.iban` (string)
    International Bank Account Number (IBAN).

  - `data.identifiers.bic` (string)
    Bank Identifier Code (BIC) is a standard format used to help identify banks worldwide.
BIC is needed when transferring money between banks,
in particular for international wire transfers.
BIC code is interchangeably used with SWIFT code

  - `data.identifiers.secondaryIdentification` (string)
    Additional information for identifying the account in the institution,
e.g., Building society Roll Number.

  - `data.accountType` (string)
    Enum: "Business", "Personal"

  - `data.accountSubType` (string)
    Enum: "ChargeCard", "CreditCard", "CurrentAccount", "Emoney", "Loan", "Mortgage", "PrepaidCard", "Savings"

  - `data.balances` (object)

  - `data.balances.current` (object)

  - `data.balances.current.amount` (number)

  - `data.balances.current.creditDebitIndicator` (string)
    Enum: "Credit", "Debit"

  - `data.balances.current.creditLines` (array)

  - `data.balances.current.creditLines.amount` (number)
    Amount for credit lines is optional and can be null.

  - `data.balances.current.creditLines.creditLineType` (string)
    Enum: "NA", "PREAGREED", "TEMPORARY", "EMERGENCY", "CREDIT", "AVAILABLE"

  - `data.balances.current.creditLines.included` (boolean)

  - `data.balances.current.creditLines.predicted` (boolean)

  - `data.lastThirtyDays` (object)

  - `data.lastThirtyDays.totalCreditsCount` (integer)
    Total number of all credit transactions over the last X days

  - `data.lastThirtyDays.totalDebitsCount` (integer)
    Total number of all debit transactions over the last X days

  - `data.lastThirtyDays.totalCreditsAmount` (number)
    Total amount of all credit transactions over the last X days

  - `data.lastThirtyDays.totalDebitsAmount` (number)
    Total amount of all debit transactions over the last X days

  - `data.lastThirtyDays.averageCreditsMinusDebits` (number)
    Average difference between daily credit amount and daily debit amount over the last X days

  - `data.lastThirtyDays.endOfDayBalanceConsistency` (number)
    Average end-of-day balance amount over the last X days (the mean value)

  - `data.lastThirtyDays.endOfDayBalanceLowVal` (number)
    The minimum end-of-day balance amount over the last X days

  - `data.lastThirtyDays.endOfDayBalanceHighVal` (number)
    The maximum end-of-day balance amount over the last X days

  - `data.lastThirtyDays.endOfDayBalanceVariability` (number)
    Standard deviation of the end-of-day balance amount over the last X days

  - `data.lastThirtyDays.percentageOfDaysInNegativeBalance` (number)
    Percentage of days with negative end-of-day balance amount over the last X days

  - `data.lastThirtyDays.netCashFlow` (number)
    Difference between total inflows (credits) and total outflows (debits) over a defined period (e.g., 30, 60, 90, 180, or 360 days).

  - `data.lastThirtyDays.endOfDayBalanceCoefficientOfVariation` (number)
    Variability as a percentage of the average balance.

  - `meta` (object)

  - `meta.totalRecords` (integer)
    The total available records for this paged response.

## Response 403 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 404 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 500 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

